org.apache.thrift.protocol

## Class TSimpleJSONProtocol.StructContext

- java.lang.Object
- - org.apache.thrift.protocol.TSimpleJSONProtocol.Context
  - - org.apache.thrift.protocol.TSimpleJSONProtocol.StructContext

- Enclosing class:
    TSimpleJSONProtocol

      protected class TSimpleJSONProtocol.StructContext
      extends TSimpleJSONProtocol.Context

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `colon_`
    `protected boolean` | `first_`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TSimpleJSONProtocol.StructContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `write()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### first_

          protected boolean first_

    - #### colon_

          protected boolean colon_

  - ### Constructor Detail

    - #### TSimpleJSONProtocol.StructContext

          protected TSimpleJSONProtocol.StructContext()

  - ### Method Detail

    - #### write

          protected void write()
                        throws TException

      Overrides:
        `write` in class `TSimpleJSONProtocol.Context`
      Throws:
        `TException`